GETLIST(1)

NAME
getlist - Get a list from an NNTP server

SYNOPSIS
getlist [-AR] [-h host] [-p port] [list [pattern [types]]]

DESCRIPTION
getlist obtains a list from an NNTP server and sends it to standard output. list may be one of "active" (which is the default value), "active.times", "distrib.pats", or "newsgroups". "active" contains a list of all newsgroups carried by the server with the high and low article numbers in the group, and the group status field. "active.times" is a list of newsgroups, their creation times (in seconds since epoch), and the creator of the group. "distrib.pats" is a list of relevant distributions and the newsgroups they apply to. "newsgroups" is a list of newsgroups along with their short descriptions.

For more information on the formats of these files, see active(5), active.times(5), distrib.pats(5) and newsgroups(5).

The listing files other than the active file are common extensions to the NNTP protocol and may not be available on all servers. For instance, "counts" "distributions", "headers", "moderators", "motd", "overview.fmt" and "subscriptions", amongst others, may be available. Moreover, a uwildmat pattern pattern may also be usable for some of these listing files.

For more information on the formats of these files, see distributions(5), moderators(5), motd.news(5) and subscriptions(5). The overview fields obtained with "overview.fmt" are the ones for which the overview database is consistent (see extraoverviewadvertised in inn.conf for more information). The list obtained with "headers" contains the fields that can be retrieved using the HDR command (pattern can then be either "msgid" or "range"). The list obtained with "counts" is like the "active" one except that the number of articles in a newsgroup is mentioned just before the flag of this newsgroup.

The pattern parameter may be used with a list value of "active", "active.times" or "newsgroups" to limit the output. If given, only entries corresponding to newsgroups that match the uwildmat pattern pattern will be printed.

If the list parameter is "active", a third parameter, types, may also be used to restrict the list. If given, only entries corresponding to newsgroups with a newsgroup mode found in types will be printed. For example, a types value of "y" would only show unmoderated groups, and a types value of "ym" would show all unmoderated and moderated groups but not aliased groups or groups that disallow postings.

OPTIONS

-A  Try to authenticate using the username and password information in passwd.nntp(5) before issuing the LIST command.

-h host
    Connect to the server host rather than to the value of server in inn.conf or the value of the NNTPSERVER environment variable.

-p port
    Connect to the port port, which is by default "119".

-R  Try to switch to nnrpd with a MODE READER command before issuing the LIST request. It can be useful in case a feeding access exists for the news server: more information can be retrieved from nnrpd, compared with innd.

EXAMPLES
The following command will obtain the one-line descriptions of all newsgroups found on UUNET:

    getlist -h news.uu.net newsgroups

The following command will show the active file entries for all moderated comp.* groups on the default server:

    getlist active 'comp.*' m

The following command lists all groups where local postings are permitted, are moderated or aliased:

    getlist active '*' ym=

Note that the wildcard character "*" has to be quoted by simple quotes to protect it from the shell.

HISTORY
Written by Landon Curt Noll <chongo@toad.com> for InterNetNews. Rewritten in POD by Russ Allbery <eagle@eyrie.org>.

SEE ALSO
active(5), active.times(5), distrib.pats(5), distributions(5), inn.conf(5), libinn_uwildmat(3), moderators(5), motd.news(5), newsgroups(5), nnrpd(8), passwd.nntp(5), subscriptions(5).